CREATE table books (
 `id` int (10) unsigned auto_increment,
 `code`           VARCHAR (255) NULL,
 `rfid`           VARCHAR (255) NULL,
 `title`          VARCHAR (255) NULL,
 `author`         VARCHAR (255) NULL,
 `isbn`            VARCHAR (20) NULL,
 `published_date` year(4) NULL,
 `created_at`     DATETIME DEFAULT current_timestamp(),
 `updated_at`     DATETIME  NULL,
 `on_stock`       int(10) unsigned NOT NULL DEFAULT 1,
 `notes`          text NULL,
 PRIMARY KEY (id),
 UNIQUE (code, rfid, isbn)
);